#
# spec file for package itstool
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           itstool
Version:        1.1.1
Release:        6.2
License:        GPLv3+
Summary:        Tool to translate XML documents using PO files
Url:            http://itstool.org
Group:          Development/Tools/Other
Source:         http://files.itstool.org/itstool/%{name}-%{version}.tar.bz2
BuildRequires:  python redhat-rpm-config
BuildRequires:  libxml2-python
Requires:       libxml2-python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}
%py_requires
%else
BuildRequires:	python-devel
%endif

%description
ITS Tool extracts messages from XML files and outputs PO template files, then
merges translations from MO files to create translated XML files. It determines
what to translate and how to chunk it into messages using the W3C
Internationalization Tag Set (ITS).

%prep
%setup -q
sed -i "s:#!/usr/bin/env python:#!/usr/bin/python:" itstool itstool.in

%build
%configure
make %{?_smp_mflags}

%install
%__make DESTDIR=%{buildroot} install

%clean
%{?buildroot:%__rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.GPL3 NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/itstool.1*

%changelog
* Tue Sep 20 2011 vuntz@opensuse.org
- Update to version 1.1.1:
  + Catch XML parsing errors and exit with error code
  + Fixed placeholder translation when it contains sub-elements
  + Improved autogen.sh for out of tree compilations
* Tue Jun 28 2011 dimstar@opensuse.org
- Update to version 1.1.0:
  + Added itst:context to set msgctxt
  + Added itst:drop to drop context from translations
  + Allow XML attribute to be translated
  + Allow locNotePointer to return a string
  + Allow localization notes to be space-preserving
  + Allow both XLink and child rules on its:rules
  + Fixed Unicode encoding/decoding errors
  + Added automated test suite
  + Added a man page
  + Python 3 fixes
* Tue May 24 2011 dimstar@opensuse.org
- Initial package, version 1.0.1
